
/*

Tooplate 2135 Mini Finance

https://www.tooplate.com/view/2135-mini-finance

*/

/*---------------------------------------
  CUSTOM PROPERTIES ( VARIABLES )             
-----------------------------------------*/
:root {
  --white-color:                  #ffffff;
  --primary-color:                #E63946;
  --secondary-color:              #F1FAEE;
  --section-bg-color:             #ececec;
  --primary-bg-color:             #E63946;
  --custom-btn-bg-color:          #A8DADC;
  --custom-btn-bg-hover-color:    #1D3557;
  --heading-color:                #1D3557;
  --dark-color:                   #000000;
  --p-color:                      #717275;
  --border-color:                 blue;
  --link-hover-color:             #E63946;

  --body-font-family:             'Unbounded';

  --h1-font-size:                 74px;
  --h2-font-size:                 46px;
  --h3-font-size:                 32px;
  --h4-font-size:                 28px;
  --h5-font-size:                 24px;
  --h6-font-size:                 22px;
  --p-font-size:                  18px;
  --menu-font-size:               14px;
  --btn-font-size:                12px;
  --copyright-font-size:          10px;

  --border-radius-large:          100px;
  --border-radius-medium:         20px;
  --border-radius-small:          10px;

  --font-weight-light:            300;
  --font-weight-normal:           400;
  --font-weight-bold:             700;
}


body {
  background-color: var(--white-color);
  font-family: var(--body-font-family); 
}


/*---------------------------------------
  TYPOGRAPHY               
-----------------------------------------*/

h2,
h3,
h4,
h5,
h6 {
  color: var(--heading-color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--font-weight-bold);
}

h1 {
  font-size: var(--h1-font-size);
}

h2 {
  font-size: var(--h2-font-size);
}

h3 {
  font-size: var(--h3-font-size);
}

h4 {
  font-size: var(--h4-font-size);
}

h5 {
  font-size: var(--h5-font-size);
}

h6 {
  font-size: var(--h6-font-size);
}

p {
  color: var(--p-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-light);
}

ul li {
  color: var(--p-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-light);
}

a, 
button {
  touch-action: manipulation;
  transition: all 0.3s;
}

a {
  display: inline-block;
  color: var(--primary-color);
  text-decoration: none;
}

a:hover {
  color: var(--link-hover-color);
}

b,
strong {
  font-weight: var(--font-weight-bold);
}

/*---------------------------------------
  SECTION               
-----------------------------------------*/
.main-wrapper {
  background: var(--section-bg-color);
  min-height: calc(100vh - 65px);
}


/*---------------------------------------
  PROFILE IMAGE              
-----------------------------------------*/
.profile-image {
  border-radius: var(--border-radius-small);
  width: 35px;
  height: 35px;
  object-fit: cover;
}

.profile-image-nav {
  width: 20px;
  height: 20px;
  object-fit: cover;
}


.profile-image-connect{
  width: 20%;
  margin-bottom: 2%;
}
.profile-imagechoix{
  border-radius: var(--border-radius-small);
  width: 40px;
  height: 40px;
  object-fit: cover;
}

/*---------------------------------------
  NAVIGATION              
-----------------------------------------*/
.sidebar {
  background: var(--white-color);
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 100;
  padding: 58px 0 0;
}

.sidebar-sticky {
  height: calc(100vh - 58px);
  overflow-x: hidden;
  overflow-y: auto;
  position: relative;
}

.logo-image {
  width: 32px;
  height: auto;
}

.navbar {
  background: var(--white-color);
  border-bottom: 1px solid var(--border-color);
  padding-top: 8px;
  padding-bottom: 8px;
}

.navbar .nav-link {
  position: relative;
}

.navbar .header-form {
  width: 35%;
}

.navbar .header-form .form-control {
  margin-bottom: 0;
}

.navbar .dropdown-toggle::after {
  display: none;
}

.dropdown-menu {
  overflow: hidden;
  min-width: 240px;
  padding-top: 15px;
  padding-bottom: 15px;
}

.dropdown-toggle {
  width: 32px;
}

.dropdown-toggle .start-100 {
  top: 8px;
  left: 68%!important;
}

.dropdown .dropdown-item {
  border-radius: var(--border-radius-small);
  color: var(--p-color);
  font-size: var(--menu-font-size);
  font-weight: var(--font-weight-light);
  display: inline-block;
  margin-right: 15px;
  margin-left: 15px;
  padding-top: 7px;
  padding-bottom: 7px;
  width: auto;
}

.dropdown .dropdown-item:hover {
  background: var(--primary-color);
  color: var(--white-color);
}

.navbar-nav .dropdown-menu {
  border-color: transparent;
  border-radius: var(--border-radius-small);
  position: absolute;
}

.dropdown-menu[data-bs-popper] {
  right: 0;
  left: auto;
}

#sidebarMenu .nav {
  flex-wrap: inherit;
}

#sidebarMenu .nav-link {
  border-radius: var(--border-radius-small);
  color: var(--p-color);
  font-size: var(--menu-font-size);
  display: inline-block;
  position: relative;
  margin-top: 5px;
}

#sidebarMenu .nav-link.active, 
#sidebarMenu .nav-link:hover {
  background: var(--primary-color);
  color: var(--white-color);
}



.navbar-toggler {
  background: var(--primary-color);
  border-radius: var(--border-radius-small);
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  z-index: 222;
  border: 0;
  padding: 0;
  cursor: pointer;
  margin: 10px;
  width: 40px;
  height: 40px;
  outline: none;
}

.navbar-toggler:focus {
  outline: none;
  box-shadow: none;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
  background: transparent;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before,
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
  transition: top 300ms 50ms ease, -webkit-transform 300ms 350ms ease;
  transition: top 300ms 50ms ease, transform 300ms 350ms ease;
  transition: top 300ms 50ms ease, transform 300ms 350ms ease, -webkit-transform 300ms 350ms ease;
  top: 0;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before {
  transform: rotate(45deg);
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
  transform: rotate(-45deg);
}

.navbar-toggler .navbar-toggler-icon {
  background: var(--white-color);
  transition: background 10ms 300ms ease;
  display: block;
  margin: auto;
  width: 23px;
  height: 2px;
  position: relative;
}

.navbar-toggler .navbar-toggler-icon:before,
.navbar-toggler .navbar-toggler-icon:after {
  transition: top 300ms 350ms ease, -webkit-transform 300ms 50ms ease;
  transition: top 300ms 350ms ease, transform 300ms 50ms ease;
  transition: top 300ms 350ms ease, transform 300ms 50ms ease, -webkit-transform 300ms 50ms ease;
  position: absolute;
  right: 0;
  left: 0;
  background: var(--white-color);
  width: 23px;
  height: 2px;
  content: '';
}

.navbar-toggler .navbar-toggler-icon::before {
  top: -8px;
}

.navbar-toggler .navbar-toggler-icon::after {
  top: 8px;
}
.sidebar .nav-links li:hover{
  background: #1d1b31;
}
.sidebar .nav-links li .iocn-link{
  display: flex;
  align-items: center;
  justify-content: space-between;
}


/*---------------------------------------
  TAB BAR              
-----------------------------------------*/
.tab-content {
  background-color: var(--white-color);
  border-radius: var(--border-radius-medium);
}

.nav-tabs {
  border-bottom: 1px solid var(--border-color);
  margin-bottom: 35px;
}

.nav-tabs .nav-link {
  border-radius: 0;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  color: var(--p-color);
  font-size: var(--menu-font-size);
  font-weight: var(--font-weight-normal);
  padding: 15px 25px;
  transition: all 0.3s;
}

.nav-tabs .nav-item.show .nav-link, 
.nav-tabs .nav-link.active,
.nav-tabs .nav-link:focus, 
.nav-tabs .nav-link:hover {
  border-bottom-color: var(--primary-color);
  color: var(--primary-color);
}



/*---------------------------------------
  CUSTOM BLOCK               
-----------------------------------------*/
.custom-block {
  background: var(--secondary-color);
  border-radius: var(--border-radius-small);
  position: relative;
  overflow: hidden;
  margin-bottom: 24px;
  padding: 30px;
}

.custom-block h2,
.custom-block p {
  position: relative;
  z-index: 2;
}

/*---------------------------------------
  SEARCH, PROFILE FORM               
-----------------------------------------*/
.profile-form .input-group .form-control {
  background: #e9ecef;
}

.profile-form .profile-image {
  width: 52px;
  height: 52px;
}

/*---------------------------------------
  CUSTOM FORM               
-----------------------------------------*/
.custom-form .form-control {
  color: var(--p-color);
  border-radius: var(--border-radius-small);
  font-size: var(--menu-font-size);
  margin-bottom: 24px;
  padding: 10px 20px;
  outline: none;
  transition: all 0.3s;
}
.profile-form .soustext {
  color: red;
  font-size: var(--menu-font-size);
}
.form-check-input:checked {
  background-color: var(--custom-btn-bg-hover-color);
  border-color: var(--custom-btn-bg-hover-color);
}

.form-check-label {
  color: var(--p-color);
}

.custom-form .form-control:hover,
.custom-form .form-control:focus {
  background: var(--section-bg-color);
  border-color: transparent;
}

.custom-form button[type="button"],
.custom-form button[type="submit"] {
  border-radius: var(--border-radius-large);
  font-size: var(--menu-font-size);
  transition: all 0.3s;
  margin-bottom: 0;
}

.custom-form button[type="submit"] {
  background: var(--custom-btn-bg-hover-color);
  border: none;
  color: var(--white-color);
}

.custom-form button[type="submit"]:hover,
.custom-form button[type="submit"]:focus {
  background: var(--custom-btn-bg-color);
  border-color: transparent;
}

.titreproduits {
      text-align:left;
      text {
             font-family: 'Montserrat';
             text-shadow: 1px 1px blue;
             font-size: 20px;  
             font-weight: bold; 
          }

}
.produitsgrid {
        overflow: hidden;
        margin-top: 1%;
        margin-bottom: 1%;
        margin-left: 0.5%;
        margin-right: 0.5%;
        width:99%;
        border: 1px solid white !important;
        box-shadow: 0.5px 0.5px 0.5px rgba(0,0,0,1);
        background:white;
        border-radius: 1em 1em 1em 1em;
        color: blue;
     
}


.product-item {
        margin-top: 0.5%;
        margin-bottom: 2%;
        margin-left: 2%;
        margin-right: 0.5%;
        width:22%;
       /* border: 0.1px solid white !important;
        background-color:white;
        border-radius: 1em 1em 1em 1em;  
        box-shadow: 0.2px 0.2px 0.2px 0.2px rgba(0,0,0,1);*/
        display: inline-block; 

}

.product-image img{
        width: 60%;
        height: auto;
        margin-top: 1%;
        margin-bottom: 1%;
        margin-top: auto;
        margin-bottom: auto;
       justify-content: center;
       border-radius: 1em 1em 1em 1em;
       display: block; 
}


.product-tile-footer{
        display: inline; 
        font-size:  0.6em;
        font-weight: bold;
        margin-top: 1%;
        margin-bottom: 1%;
        margin-left: 1%;
        margin-right: 1%;
        display: block; 
        color: black;


       .product-title {
        margin-top: 5%;
        margin-bottom: 5%;
        margin-left: 5%;
        margin-right: 5%;
        font-weight: normal;

       }

       .product-price {
        margin-top: 5%;
        margin-bottom: 5%;
        margin-left: 5%;
        margin-right: 5%;
        font-family: 'Montserrat';
        font-size: 15px;  
        font-weight: bold; 

       }
       .cart-action {
        margin-top: 5%;
        margin-bottom: 5%;
        margin-left: 5%;
        margin-right: 5%;
        visibility: hidden;

       }
      .cart-maximun {
        margin-top: 5%;
        margin-bottom: 5%;
        margin-left: 5%;
        margin-right: 5%;
        visibility: hidden;
        font-weight: normal;
        color: red;

       }

}
.product-item:hover { 
         box-shadow: 0px 5px 10px rgba(0,0,0,1);
         border: 1px solid white !important;
         background-color:white;

         .cart-action {
              visibility: visible;
       }

       .cart-maximun {
              visibility: visible;
       }

  }
  
/*---------------------------------------
  RESPONSIVE STYLES               
-----------------------------------------*/
@media screen and (max-width: 1200px) {
  h1 {
    font-size: 62px;
  }

   .largeur {
              width: 100%;
          }
       .product-item {
     width:22%;
  }
}

@media screen and (max-width: 991px) {
  h1 {
    font-size: 54px;
  }

  h2 {
    font-size: 36px;
  }

  h3 {
    font-size: 32px;
  }

  h4 {
    font-size: 28px;
  }

  h5 {
    font-size: 20px;
  }

  h6 {
    font-size: 18px;
  }
   .product-item {
     width:30%;
  }
}


@media screen and (max-width: 770px) {
  #sidebarMenu {
    top: 60px;
  }

  .sidebar-sticky {
    top: 117px;
    height: calc(100vh - 117px);
  }

  .navbar .header-form {
    width: 100%;
    margin: 10px;
  }

  .navbar .nav-link {
    padding-top: 7px;
  }

  .navbar-nav .dropdown:last-child {
    margin-right: 50px;
  }
   .product-item {
     width:30%;
  }
}


@media screen and (max-width: 580px) {
  .navbar-nav .dropdown-menu {
    width: 95%;
    min-width: 240px;
    margin: auto;
    top: 60px;
    right: 0;
    left: 0;
  }

  .dropdown-menu[data-bs-popper] {
    top: 60px;
    right: 0;
    left: 0;
  }

  .dropdown, .dropdown-center, .dropend, .dropstart, .dropup, .dropup-center {
    position: inherit;
  }

   .product-item {
     width:45%;
  }
}


@media screen and (max-width: 480px) {
  h1 {
    font-size: 38px;
  }

  h2 {
    font-size: 28px;
  }

  h3 {
    font-size: 26px;
  }

  h4 {
    font-size: 22px;
  }

  h5 {
    font-size: 20px;
  }

  .navbar-nav .dropdown-menu {
    width: 95%;
    min-width: 240px;
    margin: auto;
    top: 60px;
    right: 0;
    left: 0;
  }

  .dropdown-menu[data-bs-popper] {
    top: 60px;
    right: 0;
    left: 0;
  }

  .dropdown, .dropdown-center, .dropend, .dropstart, .dropup, .dropup-center {
    position: inherit;
  }

  .navbar-brand,
  .custom-block p {
    font-size: var(--menu-font-size);
  }

  .custom-block .profile-image {
    width: 32px;
    height: 32px;
  }

  .profile-form .profile-image {
    width: 42px;
    height: 42px;
  }

  .custom-block-bottom-item {
    flex: 35%;
    margin-top: 5px;
    margin-bottom: 5px;
  }

  .custom-block-profile-image-wrap {
    max-width: 100px;
  }

  .custom-block-profile-front .custom-block-profile-image,
  .custom-block-profile-image {
    width: 100px;
    height: 100px;
  }

  .custom-block-profile .custom-block-edit-icon {
    bottom: 10px;
  }

  .nav-tabs {
    margin-bottom: 25px;
  }

  .nav-tabs .nav-link {
    padding: 10px;
  }

  .nav-tabs .nav-link,
  .custom-block-exchange h6 {
    font-size: var(--btn-font-size);
  }

  .exchange-image {
    width: 42px;
  }

  .profile-rounded {
    width: 32px;
    height: 32px;
  }

  .profile-rounded-icon {
    font-size: var(--h6-font-size);
  }

   .product-item {
     width:45%;
  }
}


